Skip to content

Create Response

POST
/v1/responses
curl --request POST \
--url https://example.com/v1/responses \
--header 'Content-Type: application/json' \
--data '{ "agent": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "background": false, "conversation": "example", "include": [ "example" ], "input": "", "instructions": "example", "max_output_tokens": 1, "metadata": {}, "model": "example", "parallel_tool_calls": true, "previous_response_id": "example", "reasoning": { "effort": "none", "summary": "example" }, "reasoning_effort": "none", "service_tier": "example", "store": true, "stream": false, "temperature": 1, "text": {}, "tool_choice": "auto", "tools": [ {} ], "top_p": 1, "truncation": "disabled", "user": "example" }'

Create one Responses API-compatible agent response.

X-Admin-Key
Any of:
string
X-Project-ID
Any of:
string
Media typeapplication/json
ResponsesRequest

Open Responses-compatible request body.

object
agent
Any of:
string format: uuid
background
Background
boolean
conversation
Any of:
string
>= 1 characters <= 200 characters
include
Any of:
Array<string>
input
Input
""
instructions
Any of:
string
<= 100000 characters
max_output_tokens
Any of:
integer
>= 1 <= 8000
metadata
Metadata
object
key
additional properties
any
model
required
Model
string
parallel_tool_calls
Parallel Tool Calls
boolean
default: true
previous_response_id
Any of:
string
reasoning
Any of:
ResponsesReasoning

Responses-compatible reasoning controls.

object
effort
Any of:
string
Allowed values: none minimal low medium high xhigh
summary
Any of:
Summary
key
additional properties
any
reasoning_effort
Any of:
string
Allowed values: none minimal low medium high xhigh
service_tier
Any of:
string
>= 1 characters <= 64 characters
store
Store
boolean
default: true
stream
Stream
boolean
temperature
Any of:
number
<= 2
text
Any of:
object
key
additional properties
any
tool_choice
Any of:
Tool Choice
default: auto
tools
Any of:
Array<object>
object
key
additional properties
any
top_p
Any of:
number
<= 1
truncation
Any of:
string
Allowed values: disabled auto
user
Any of:
string
>= 1 characters <= 200 characters
key
additional properties
any

Responses object. When request stream=true, the same object is emitted as semantic text/event-stream events.

Media typeapplication/json
ResponsesResponse

Open Responses-compatible response object.

object
created_at
required
Created At
integer
error
Any of:
object
key
additional properties
any
id
required
Id
string
incomplete_details
Any of:
object
key
additional properties
any
instructions
Any of:
string
metadata
Metadata
object
key
additional properties
any
model
required
Model
string
object
Object
string
default: response
Allowed value: response
output
required
Output
Array<object>
object
key
additional properties
any
previous_response_id
Any of:
string
reasoning
ResponsesReasoning

Responses-compatible reasoning controls.

object
effort
Any of:
string
Allowed values: none minimal low medium high xhigh
summary
Any of:
Summary
key
additional properties
any
status
required
Status
string
Allowed values: queued in_progress completed failed incomplete cancelled
temperature
Any of:
number
tools
Tools
Array<object>
object
key
additional properties
any
top_p
Any of:
number
usage
required
ResponsesUsage

Responses-compatible usage payload.

object
input_tokens
Input Tokens
integer
0
input_tokens_details
ResponsesUsageDetails

Responses-compatible token details.

object
cached_tokens
Cached Tokens
integer
0
output_tokens
Output Tokens
integer
0
output_tokens_details
ResponsesOutputUsageDetails

Responses-compatible output token details.

object
reasoning_tokens
Reasoning Tokens
integer
0
total_tokens
Total Tokens
integer
0
Example
{
"object": "response",
"reasoning": {
"effort": "none"
},
"status": "queued",
"usage": {
"input_tokens": 0,
"input_tokens_details": {
"cached_tokens": 0
},
"output_tokens": 0,
"output_tokens_details": {
"reasoning_tokens": 0
},
"total_tokens": 0
}
}

Idempotency key conflict or in-progress replay.

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}